## org.apache.poi.hsmf.extractor
Class OutlookTextExtactor

    java.lang.Object
      org.apache.poi.POITextExtractor
          org.apache.poi.POIOLE2TextExtractor
              org.apache.poi.hsmf.extractor.OutlookTextExtactor

    public class OutlookTextExtactor

extends POIOLE2TextExtractor

A text extractor for HSMF (Outlook) .msg files. Outputs in a format somewhat like a plain text email.

Field Summary

Fields inherited from class org.apache.poi.POITextExtractor
`document`

Constructor Summary
`OutlookTextExtactor(DirectoryNode poifsDir)`
`OutlookTextExtactor(DirectoryNode poifsDir, POIFSFileSystem fs)` Deprecated.
`OutlookTextExtactor(java.io.InputStream inp)`
`OutlookTextExtactor(MAPIMessage msg)`
`OutlookTextExtactor(NPOIFSFileSystem fs)`
`OutlookTextExtactor(POIFSFileSystem fs)`

Method Summary
`MAPIMessage` `getMAPIMessage()` Returns the underlying MAPI message
`java.lang.String` `getText()` Outputs something a little like a RFC822 email
`protected void` `handleEmails(java.lang.StringBuffer s, java.lang.String type, java.lang.String displayText, StringUtil.StringsIterator emails)` Takes a Display focused string, eg "Nick; Jim" and an iterator of emails, and does its best to return something like "Nick <nick@example.com>; Jim <jim@example.com>"
`static void` `main(java.lang.String[] args)`

Methods inherited from class org.apache.poi.POIOLE2TextExtractor
`getDocSummaryInformation, getFileSystem, getMetadataTextExtractor, getRoot, getSummaryInformation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutlookTextExtactor

    public OutlookTextExtactor(MAPIMessage msg)

### OutlookTextExtactor

    @Deprecated
    public OutlookTextExtactor(DirectoryNode poifsDir,
                                          POIFSFileSystem fs)
                        throws java.io.IOException

  Deprecated.

  Use `OutlookTextExtactor(DirectoryNode)` instead

  Throws:
    `java.io.IOException`

### OutlookTextExtactor

    public OutlookTextExtactor(DirectoryNode poifsDir)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

### OutlookTextExtactor

    public OutlookTextExtactor(POIFSFileSystem fs)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

### OutlookTextExtactor

    public OutlookTextExtactor(NPOIFSFileSystem fs)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

### OutlookTextExtactor

    public OutlookTextExtactor(java.io.InputStream inp)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getMAPIMessage

    public MAPIMessage getMAPIMessage()

  Returns the underlying MAPI message

### getText

    public java.lang.String getText()

  Outputs something a little like a RFC822 email

  Specified by:
    `getText` in class `POITextExtractor`
  Returns:
    All the text from the document

### handleEmails

    protected void handleEmails(java.lang.StringBuffer s,
                                java.lang.String type,
                                java.lang.String displayText,
                                StringUtil.StringsIterator emails)

  Takes a Display focused string, eg "Nick; Jim" and an iterator of emails, and does its best to return something like "Nick <nick@example.com>; Jim <jim@example.com>"

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.